package kr.co.vividnext.sodalive.admin.live

import com.querydsl.core.annotations.QueryProjection
import kr.co.vividnext.sodalive.live.room.LiveRoomType

data class GetLiveResponse(
    val totalCount: Int,
    val liveList: List<GetLiveResponseItem>
)

data class GetLiveResponseItem @QueryProjection constructor(
    val id: Long,
    val title: String,
    val content: String,
    var numberOfParticipants: Int,
    val managerNickname: String,
    val coverImageUrl: String,
    val channelName: String,
    val type: LiveRoomType,
    val password: String?,
    val isAdult: Boolean
)
