package kr.co.vividnext.sodalive.audition

import kr.co.vividnext.sodalive.common.BaseEntity
import javax.persistence.Column
import javax.persistence.Entity
import javax.persistence.EnumType
import javax.persistence.Enumerated

@Entity
data class Audition(
    var title: String,
    @Column(columnDefinition = "TEXT")
    var information: String,
    var isAdult: Boolean = false,
    // 원작 URL
    var originalWorkUrl: String? = null,
    @Enumerated(value = EnumType.STRING)
    var status: AuditionStatus = AuditionStatus.NOT_STARTED
) : BaseEntity() {
    var isActive: Boolean = true
    var imagePath: String? = null
}
