package kr.co.vividnext.sodalive.point

import kr.co.vividnext.sodalive.common.BaseEntity
import kr.co.vividnext.sodalive.useraction.ActionType
import java.time.LocalDateTime
import javax.persistence.Entity
import javax.persistence.EnumType
import javax.persistence.Enumerated

@Entity
data class MemberPoint(
    val memberId: Long,
    var point: Int,
    @Enumerated(EnumType.STRING)
    val actionType: ActionType,
    val expiresAt: LocalDateTime
) : BaseEntity()
