package kr.co.vividnext.sodalive.admin.statistics.member

data class GetMemberStatisticsResponse(
    val totalCount: Int,
    val totalAuthCount: Int,
    val totalSignUpCount: Int,
    val totalSignUpEmailCount: Int,
    val totalSignUpKakaoCount: Int,
    val totalSignUpGoogleCount: Int,
    val totalSignOutCount: Int,
    val totalPaymentMemberCount: Int,
    val items: List<GetMemberStatisticsItem>
)

data class GetMemberStatisticsItem(
    val date: String,
    val authCount: Int,
    val signUpCount: Int,
    val signUpEmailCount: Int,
    val signUpKakaoCount: Int,
    val signUpGoogleCount: Int,
    val signOutCount: Int,
    val paymentMemberCount: Int
)
