package kr.co.vividnext.sodalive.audition

import kr.co.vividnext.sodalive.common.BaseEntity
import kr.co.vividnext.sodalive.member.Member
import javax.persistence.Entity
import javax.persistence.JoinColumn
import javax.persistence.ManyToOne

@Entity
class AuditionVote : BaseEntity() {
    @ManyToOne
    @JoinColumn(name = "member_id", nullable = false)
    var member: Member? = null

    @ManyToOne
    @JoinColumn(name = "applicant_id", nullable = false)
    var applicant: AuditionApplicant? = null
}
