package kr.co.vividnext.sodalive.can

import kr.co.vividnext.sodalive.common.BaseEntity
import javax.persistence.Entity
import javax.persistence.EnumType
import javax.persistence.Enumerated

@Entity
data class Can(
    var title: String,
    var can: Int,
    var rewardCan: Int,
    var price: Int,
    @Enumerated(value = EnumType.STRING)
    var status: CanStatus
) : BaseEntity()

enum class CanStatus {
    SALE, END_OF_SALE
}
