package kr.co.vividnext.sodalive.live.room.info

data class GetRoomInfoResponse(
    val roomId: Long,
    val title: String,
    val notice: String,
    val coverImageUrl: String,
    val channelName: String,
    val rtcToken: String,
    val rtmToken: String,
    val creatorId: Long,
    val creatorNickname: String,
    val creatorProfileUrl: String,
    val isFollowing: Boolean,
    val isAdult: Boolean,
    val participantsCount: Int,
    val totalAvailableParticipantsCount: Int,
    val speakerList: List<LiveRoomMember>,
    val listenerList: List<LiveRoomMember>,
    val managerList: List<LiveRoomMember>,
    val donationRankingTop3UserIds: List<Long>,
    val menuPan: String,
    val isPrivateRoom: Boolean = false,
    val password: String? = null,
    val isActiveRoulette: Boolean = false
)
